Api key provided on integrations tab in Easyflow platform.
List commissions
Returns a list of commissions.
- Without
status, onlypaidcommissions are returned. - To filter by status, repeat the parameter for each status (
status=paid&status=canceled) or use brackets (status[]=paid&status[]=canceled). A singlestatus=paidwithout brackets returns400withInvalid param: [status].
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
business-idstringrequiredBusiness Identifier
Query parameters
pageintegerrequiredPage number to access
limitintegerrequiredNumber of items to be loaded per page
initialDatestringFilters results from this date onward (YYYY-MM-DD)
endDatestringFilters results up to this date (YYYY-MM-DD)
statusarray of stringsFilters results by commission status. Repeat the parameter for each status, such as
status=paid&status=canceled. To filter by one status, send it with brackets, such asstatus[]=canceled. A singlestatus=paidwithout brackets returns400withInvalid param: [status]. Withoutstatus, onlypaidcommissions are returned.
Responses
200Returns a list of commissions.
Returns a list of commissions.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstringgrossValueInCentsintegernetValueInCentsintegertaxInCentsintegerreceiverRolestringsettlementDatestringstatusstringinterestValueInCentsintegerinstallmentintegerplanDetailsobjectShow child attributesHide child attributes
descriptionstringplanNamestring
paymentobjectShow child attributesHide child attributes
idstringstatusstringvaluePaidInCentsintegerfineValueInCentsintegerinstallmentsintegerinterestValueInCentsintegerpaymentMethodstringvalueInCentsintegerbankBilletobjectShow child attributesHide child attributes
expireAtstringnullablebarCodestringnullablelinkstringnullablelinestringnullable
pixobjectShow child attributesHide child attributes
expireAtstringnullablecopyAndPasteCodestringnullableqrCodestringnullable
creditCardobjectShow child attributesHide child attributes
nicknamestringnullablelast4NumbersstringnullableholderNamestringnullableexpiresAtMonthintegernullableexpiresAtYearintegernullableflagstringnullable
limitintegercurrentPageintegernextPageintegernullabletotalPagesintegertotalDocsintegerhasNextboolean
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.